Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X PUT "https://api.box.com/2.0/web_links/32423234?fields=shared_link" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-d '{
"shared_link": {
"access": "open",
"password": "mypassword",
"unshared_at": "2012-12-12T10:53:43-08:00",
"permissions": {
"can_download": false
}
}
}'{
"id": "12345",
"type": "web_link",
"etag": "1",
"shared_link": {
"url": "https://app.box.com/s/kwio6b4ovt1264rnfbyqo1",
"download_url": "https://app.box.com/shared/static/kwio6b4ovt1264rnfbyqo1.pdf",
"vanity_url": null,
"vanity_name": null,
"effective_access": "open",
"effective_permission": "can_download",
"is_password_enabled": false,
"unshared_at": "2020-09-21T10:34:41-07:00",
"download_count": 0,
"preview_count": 0,
"access": "open",
"permissions": {
"can_preview": true,
"can_download": true,
"can_edit": false
}
}
}ウェブリンクの共有リンクを更新します。
curl -i -X PUT "https://api.box.com/2.0/web_links/32423234?fields=shared_link" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-d '{
"shared_link": {
"access": "open",
"password": "mypassword",
"unshared_at": "2012-12-12T10:53:43-08:00",
"permissions": {
"can_download": false
}
}
}'{
"id": "12345",
"type": "web_link",
"etag": "1",
"shared_link": {
"url": "https://app.box.com/s/kwio6b4ovt1264rnfbyqo1",
"download_url": "https://app.box.com/shared/static/kwio6b4ovt1264rnfbyqo1.pdf",
"vanity_url": null,
"vanity_name": null,
"effective_access": "open",
"effective_permission": "can_download",
"is_password_enabled": false,
"unshared_at": "2020-09-21T10:34:41-07:00",
"download_count": 0,
"preview_count": 0,
"access": "open",
"permissions": {
"can_preview": true,
"can_download": true,
"can_edit": false
}
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
ウェブリンクのID。
この項目に返されるshared_linkフィールドを明示的にリクエストします。
更新する共有リンクの設定。
Show child attributes
更新された共有リンクが追加されているウェブリンクのBase版の表示を返します。
ウェブリンクとは、URLを指すオブジェクトです。これらのオブジェクトはBoxウェブアプリケーション内ではブックマークとも呼ばれます。
ウェブリンクオブジェクトはファイルオブジェクトと同様に扱われ、通常のファイルに適用されるアクションの大部分もサポートしています。
このウェブリンクの一意の識別子。
"11446498"
値は常にweb_linkになります。
web_link "web_link"
このウェブリンクのエンティティタグ。If-Matchヘッダーで使用します。
"1"
このウェブリンクが指すURL。
"https://www.example.com/example/1234"
この項目に適用された最新のUser Eventを表す数値の識別子。
これをGET /eventsエンドポイントと組み合わせて使用すると、この識別子が読み取られる前に発生した可能性があるUser Eventを除外できます。
たとえば、Box DriveなどのアプリケーションがAPIを介して項目を取得し、その項目の変更に関連するUser Eventの発生を監視する場合などがこれに該当します。User Eventのsequence_idが最初に取得されたリソースのsequence_idよりも小さいか同じである場合、アプリケーションはそのようなUser Eventをすべて無視します。
"3"
ウェブリンクの名前。
"My Bookmark"
ウェブリンクが属する親オブジェクト。
Show child attributes
ウェブリンクに付加される説明。この説明は、Boxウェブアプリケーション内に表示されます。
"Example page"
ルートフォルダを起点にした、このウェブリンクを含むフォルダツリー。
Show child attributes
このファイルがBoxのサーバー上に作成された日時。
"2012-12-12T10:53:43-08:00"
このファイルがBoxサーバー上で最後に更新された日時。
"2012-12-12T10:53:43-08:00"
このファイルがごみ箱に移動された日時。
"2012-12-12T10:53:43-08:00"
このファイルが完全に削除される日時。
"2012-12-12T10:53:43-08:00"
このウェブリンクを作成したユーザー。
Show child attributes
このウェブリンクを最後に変更したユーザー。
Show child attributes
このウェブリンクを所有するユーザー。
Show child attributes
この項目の共有リンクオブジェクト。共有リンクがまだ作成されていない場合は、nullになります。
Show child attributes
この項目が削除されたかどうか。値には、active、trashed (ファイルがごみ箱に移動された場合)、deleted (ファイルが完全に削除された場合) があります。
active, trashed, deleted "active"
このページは役に立ちましたか?